#!/usr/bin/env bash

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/convert_mp3s.lang

cd ${BBBURNDIR}
while read BBMPTHREE; do
	echo
	if ${BB_MP3DEC} -r 44100 -w "${BBMPTHREE%%.mp3}.wav" "${BBMPTHREE}"; then
		echo "${BBMPTHREE}: $bb_conv_mp3_1 (${BBMPTHREE%%.mp3}.wav) $bb_conv_mp3_2"
	else
		echo "${BBMPTHREE}: $bb_conv_mp3_3"
	fi
	echo
done < <(find ${BBBURNDIR} -iname "*[Mm][Pp]3")

sleep 2s
